%define VERSION 2.1.29
Summary: GM Driver and Utilities 
Name: gm
Version: %{VERSION}
Release: 2
License: Myricom, Inc.
Group: myricom
Packager: help@myri.com 
URL: http:://www.myri.com/scs/
Source0: gm-%{VERSION}_Linux.tar.gz
Prefix: /usr
BuildRoot: %{_tmppath}/%{name}_root

%description
GM is a message-passing system for Myrinet networks. The GM system 
includes a driver, Myrinet-interface control program, a network
mapping program, and the GM API, library, and header files. GM features 
include:
              Concurrent, protected, user-level access to the Myrinet interface. 
              Reliable, ordered delivery of messages. 
              Automatic mapping and route computation. 
              Automatic recovery from transient network problems. 
              Extensible software, allowing simultaneous direct support of the 
                GM API, pseudo-ethernet (IP), MPI, and other APIs.
              Scalability to thousands of nodes. 
              Very low host-CPU utilization. 

#-------------------------------------------------------
%prep
%{__rm} -rf %{buildroot}
%{__mkdir} %{buildroot}
cp %{SOURCE0} %{_tmppath}
gunzip -f %{_tmppath}/gm-%{VERSION}_Linux.tar.gz
tar -xvf %{_tmppath}/gm-%{VERSION}_Linux.tar --directory=%{buildroot}

#-------------------------------------------------------
%build
cd %{buildroot}/gm-2.1.29_Linux/
sh ./configure --with-linux=/usr/src/kernels/2.6.18-92.1.22.el5-x86_64/ --enable-linux-modversions --enable-new-features --disable-l4
make

#-------------------------------------------------------
%install
#make install_package


#-------------------------------------------------------
%clean
rm -rf $RPM_BUILD_DIR/gm-%{VERSION}


#-------------------------------------------------------
%files
%attr(-, root, root) /usr/local/gm/*
